typedef struct PUSH {Chan *c; char appid[BFSZ]; int sandbox; } Push;

void push_set_imsg(int (*fn)(const char *, ...)) ;

int push_feedback(int sandbox, char *appid, char *reason, int (*fn)( time_t t, char *devtoken));
int push_notify(Push *p, char *text, int badge, char *sound, char *deviceid, int uid, char *reason);
Push *push_init(char *appid, int sandbox, char *reason);
int push_free(Push *p);

//int push_notify_newmail(Msgin *m, Rcpt *r, char *path, char *ufname);
